Package org.opensaml.saml.saml2.core

# Interface KeyInfoConfirmationDataType

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `SAMLObject`, `SubjectConfirmationData`, `XMLObject`

All Known Implementing Classes:
  `KeyInfoConfirmationDataTypeImpl`

public interface KeyInfoConfirmationDataType extends SubjectConfirmationData
SAML 2.0 Core KeyInfoConfirmationDataType.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.saml.saml2.core.SubjectConfirmationData

`ADDRESS_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, IN_RESPONSE_TO_ATTRIB_NAME, NOT_BEFORE_ATTRIB_NAME, NOT_BEFORE_ATTRIB_QNAME, NOT_ON_OR_AFTER_ATTRIB_NAME, NOT_ON_OR_AFTER_ATTRIB_QNAME, RECIPIENT_ATTRIB_NAME`

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getKeyInfos()`
Get the list of child KeyInfo elements.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.saml.saml2.core.SubjectConfirmationData

`getAddress, getInResponseTo, getNotBefore, getNotOnOrAfter, getRecipient, setAddress, setInResponseTo, setNotBefore, setNotOnOrAfter, setRecipient`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getKeyInfos

@Nonnull @Live List<XMLObject> getKeyInfos()
Get the list of child KeyInfo elements.

Returns:
  list of child KeyInfo elements